#include<iostream>
#include<time.h>

using namespace std;

const int SLICE_COUNT = 25;
const int ROW_COUNT = 4;
const int COLUMN_COUNT = 4;

int getIndex(int maxAllowed, char prompt[])
{
	int result = 0;

	do
	{
		cout << prompt;
		cin >> result;
	} while (result < 1 || result > maxAllowed);

	return result - 1;
}

void addMatrices(int matrix1[][4], int matrix2[][4], int answer[][4])
{
	for (int row = 0; row < ROW_COUNT; row++)
	{
		for (int column = 0; column < COLUMN_COUNT; column++)
		{
			answer[row][column] = matrix1[row][column] + matrix2[row][column];
		}
	}
}

void main()
{
	int matrices[SLICE_COUNT][ROW_COUNT][COLUMN_COUNT] =
	{
		{ { 1, 2, 3, 4 }, { 1, 2, 3, 4 }, { 1, 2, 3, 4 }, { 1, 2, 3, 4 } },
		{ { 1, 2, 3, 4 }, { 1, 2, 3, 4 }, { 1, 2, 3, 4 }, { 1, 2, 3, 4 } }
	};
	int matricesUsed = 2;

	int firstMatrix = getIndex(matricesUsed, "First matrix for +?");
	int secondMatrix = getIndex(matricesUsed, "Second matrix for + ?");
	addMatrices(matrices[firstMatrix], matrices[secondMatrix], matrices[matricesUsed]);
	matricesUsed++;

	//main loop

}

